#!/bin/sh
#
# Script used to create a tar file to publish ddekit
# as distfiles for minix. the script in the end echo's
# the scp commands to use.
#
#
# updateing the pkgsrc code:
# edit minix/dde-linux26/Makefile and dde-linux26-usb-drivers/Makefile
# run bmake makesum in both directories
# commit the changes in pkgsrc
# After that build the package.

export VERSION=28

rm -rf tmp
mkdir tmp
cd tmp
rm -rf *.gz
(
	git clone git://git.minix3.org/dde-linux26.git dde-linux26-${VERSION} 
	( 
		cd dde-linux26-${VERSION} 
		git checkout release${VERSION}
	)
	tar zcvf ../dde-linux26-${VERSION}.tar.gz dde-linux26-${VERSION}

	git clone git://git.minix3.org/dde-linux26-usb-drivers.git dde-linux26-usb-drivers-${VERSION}
	( 
		cd dde-linux26-usb-drivers-${VERSION}
		git checkout release${VERSION}
	)
	tar zcvf ../dde-linux26-usb-drivers-${VERSION}.tar.gz dde-linux26-usb-drivers-${VERSION}

	echo scp dde-linux26-usb-drivers-${VERSION}.tar.gz flits:/usr/local/www/docs/minix3/distfiles-minix/
	echo scp dde-linux26-${VERSION}.tar.gz flits:/usr/local/www/docs/minix3/distfiles-minix/
)
